"use strict";
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.User = void 0;
const BaseUser_1 = require("./BaseUser");
const Endpoints_1 = require("../utils/Endpoints");
class User extends BaseUser_1.BaseUser {
    constructor(client, id, payload) {
        super(client, id, payload);
        this.endpoint_url = Endpoints_1.Endpoints.user(id);
    }
    /**
     * Fetches new data about the user from the API
     * @returns The User instance
     */
    fetch() {
        const _super = Object.create(null, {
            fetch: { get: () => super.fetch }
        });
        return __awaiter(this, void 0, void 0, function* () {
            return _super.fetch.call(this);
        });
    }
}
exports.User = User;
//# sourceMappingURL=User.js.map