"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.handleError = exports.handleAPIError = void 0;
const iFunnyError_1 = require("./iFunnyError");
const iFunnyErrorCodes_1 = require("./iFunnyErrorCodes");
const Methods_1 = require("../utils/Methods");
function handleCaptcha(data) {
    return new iFunnyError_1.iFunnyError(iFunnyErrorCodes_1.iFunnyErrorCodes.CaptchaRequired, data);
}
function handleAPIError(error) {
    switch (error.error) {
        case "captcha_required":
            return handleCaptcha(error);
        case "unknown_error":
            return new iFunnyError_1.iFunnyError(iFunnyErrorCodes_1.iFunnyErrorCodes.UnknownError, `(${error.status}) ${error.error_description}`);
        default:
            return new iFunnyError_1.iFunnyError(iFunnyErrorCodes_1.iFunnyErrorCodes.UnknownError, JSON.stringify(error, null, 2));
    }
}
exports.handleAPIError = handleAPIError;
function handleError(error) {
    var _a;
    if (!(error instanceof Error)) {
        return new iFunnyError_1.iFunnyError(iFunnyErrorCodes_1.iFunnyErrorCodes.UnknownError, error);
    }
    if ((0, Methods_1.isAxiosError)(error) && ((_a = error.response) === null || _a === void 0 ? void 0 : _a.data)) {
        return handleAPIError(error.response.data);
    }
    else
        return error;
}
exports.handleError = handleError;
//# sourceMappingURL=ErrorHandler.js.map