"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.Messages = void 0;
const iFunnyErrorCodes_1 = require("./iFunnyErrorCodes");
function desc(title, description, fallback = ".") {
    return title + (description ? `: ${description}` : fallback);
}
exports.Messages = {
    // Unknown Error
    [iFunnyErrorCodes_1.iFunnyErrorCodes.UnknownError]: (error) => `An unknown error occurred: ${error}`,
    // Client Setup Errors
    [iFunnyErrorCodes_1.iFunnyErrorCodes.ClientNotLoggedIn]: (action) => desc("The client needs to be logged in to", action, "do this."),
    [iFunnyErrorCodes_1.iFunnyErrorCodes.InvalidClient]: (description) => desc("The client is invalid", description),
    // Auth Errors
    [iFunnyErrorCodes_1.iFunnyErrorCodes.InvalidTokenType]: (tokenType) => desc("Invalid token type", tokenType),
    [iFunnyErrorCodes_1.iFunnyErrorCodes.InvalidBasicToken]: () => "An invalid basic token was provided.",
    [iFunnyErrorCodes_1.iFunnyErrorCodes.InvalidBearerToken]: () => "An invalid bearer token was provided.",
    [iFunnyErrorCodes_1.iFunnyErrorCodes.InvalidGrant]: (description) => `${description}`,
    [iFunnyErrorCodes_1.iFunnyErrorCodes.CaptchaRequired]: (data) => `A captcha is required. Open this url in a browser then retry request: ${data.data.captcha_url}`,
    // Library Errors
    [iFunnyErrorCodes_1.iFunnyErrorCodes.InvalidBasicTokenLength]: () => "The basic token must be 156 or 112 characters long.",
};
exports.default = exports.Messages;
//# sourceMappingURL=Messages.js.map